This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 194470 - Review Request: php-magickwand
Review Request: php-magickwand
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Package Reviews List
:
Depends On: 195864
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-08 08:48 EDT by Robert Scheck
Modified: 2014-10-13 18:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-15 01:13:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2006-06-08 08:48:25 EDT
Spec URL: http://labs.linuxnetz.de/bugzilla/php-magickwand.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/php-magickwand-0.1.8-2.src.rpm
Description: MagickWand for PHP is a native PHP interface to the new
ImageMagick MagickWand API. It is an almost complete port of the ImageMagick
C API, excluding some X-Server related functionality, and progress monitoring.
Comment 1 Hans de Goede 2006-06-14 03:16:20 EDT
Restoring work lost due to the BZ crash.

This package has had a full review, if I remember correctly the only MUST fix
item were 3 rpmlint messages. One of the was related to rpath problems and
turned out to only show on 64 bit archs. The fix for the rpath problem is to add:
export PHP_RPATH=no
before:
%configure
under:
%setup

Robert also posted a new version, available from:
http://labs.linuxnetz.de/bugzilla/

Which I've just fully re-reviewed, all is good: Approved!

Leaving the blockerbugs as is for now untill we've got 2 other packages sorted
out and I'm going to sponsor you having a package blocking FE-ACCEPT without it
being imported is going to make some scripts which do automated sanity checks on
the whole review process unhappy.
Comment 2 Robert Scheck 2006-06-17 08:04:22 EDT
Problem mentioned in bug #194479 is now resolved for php-magickwand, too.
Comment 3 Robert Scheck 2006-06-18 10:42:06 EDT
The package failed building in FC5 but was successful in devel, see:

- http://buildsys.fedoraproject.org/logs/fedora-5-extras/11170-php-magickwand-0.
1.8-2.fc5/i386/build.log
- http://buildsys.fedoraproject.org/logs/fedora-development-extras/11169-php-
magickwand-0.1.8-2.fc6/i386/build.log

When installing ImageMagick-6.2.5.4-4.2.1.fc5.3, I'm able to reproduce the 
problem, when using my own local rebuild of same version, I'm not. But I've to 
say, that my local system isn't more devel rather FC5...
Comment 4 Hans de Goede 2006-06-18 15:36:45 EDT
Hmm, the FC-5 build.log isn't being helpfull. Please do a FC-5 mock build (which
should give the same error) and then attach the config.log from the mock builddir.
Comment 5 Robert Scheck 2006-06-18 18:35:13 EDT
Ha, found the shit: ImageMagick 6.2.5.4 got every linking information hardcoded 
into Wand-config and so is always linking against freetype-devel, but freetype-
devel is unfortunately no build requirement of ImageMagick-devel.

I opened bug #195864, because adding the requirement to php-magickwand is IMHO 
the wrong way as every application depending on ImageMagick(-devel) will fail 
because of this...

I'll rebuild php-magickwand for FC-5 branch, when bug #195864 is resolved and 
pushed to Updates directory.
Comment 6 Hans de Goede 2006-06-19 11:36:32 EDT
You could also concider adding a freetype-devel BR to the FC-5 spec file as a
workaround for now and remove it later when this issue gets really fixed. (When
removing don't request a build unless there are other _real_ changes).

Handle this however you like, Im just trying to give you some options.

Comment 7 Hans de Goede 2006-07-15 01:10:34 EDT
Closing since this has been build for Development, currently its showing up in:
http://fedoraproject.org/wiki/Extras/PackageStatus

As needs cleanup, so I'm cleaning up :)

BTW, did you verify this package matches the recent "released" php packaging
guidelines?
Comment 8 Robert Scheck 2006-07-15 06:17:10 EDT
As per current status of http://fedoraproject.org/wiki/Packaging/PHP, PHP RPM 
packages like this aren't handled, yet. And of my understanding, any package
not listed at http://pecl.php.net/, isn't a PHP PECL package.
Comment 9 Robert Scheck 2014-10-11 17:30:21 EDT
Package Change Request
======================
Package Name: php-magickwand
New Branches: epel7
Owners: robert
Comment 10 Kevin Fenzi 2014-10-13 18:54:53 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.